Bug 1308384 - unable to set default mailto handler
unable to set default mailto handler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kf5-kservice (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 20:40 EST by Ed Greshko
Modified: 2016-03-23 20:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: kf5-kservice-5.19.0-2.fc23 kf5-kservice-5.19.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 08:25:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 358159 None None None 2016-03-07 08:48 EST

  None (edit)
Description Ed Greshko 2016-02-14 20:40:02 EST
Description of problem: "xdg-mime default mozilla-thunderbird.desktop 'x-scheme-handler/mailto' command makes changes the local config file but the changes are not honored.  


Version-Release number of selected component (if applicable): xdg-utils-1.1.1-1.fc23.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

In F23 and F22

[egreshko@meimei ~]$ xdg-mime query default 'x-scheme-handler/mailto'
KMail2.desktop

[egreshko@meimei ~]$ cat /home/egreshko/.local/share/applications/mimeapps.list
[Default Applications]
text/html=google-chrome.desktop;
x-scheme-handler/http=google-chrome.desktop;
x-scheme-handler/https=google-chrome.desktop;

[egreshko@meimei ~]$ xdg-mime default mozilla-thunderbird.desktop 'x-scheme-handler/mailto'

[egreshko@meimei ~]$ cat /home/egreshko/.local/share/applications/mimeapps.list
[Default Applications]
text/html=google-chrome.desktop;
x-scheme-handler/http=google-chrome.desktop;
x-scheme-handler/https=google-chrome.desktop;
x-scheme-handler/mailto=mozilla-thunderbird.desktop

[egreshko@meimei ~]$ xdg-mime query default 'x-scheme-handler/mailto'
KMail2.desktop


Expected results:

In F21

[egreshko@f21 ~]$ xdg-mime query default 'x-scheme-handler/mailto'
KMail2.desktop

[egreshko@f21 ~]$ cat /home/egreshko/.local/share/applications/mimeapps.list
[Added Associations]
text/html=google-chrome.desktop

[Default Applications]
text/html=google-chrome.desktop

[egreshko@f21 ~]$ xdg-mime default mozilla-thunderbird.desktop 'x-scheme-handler/mailto'

[egreshko@f21 ~]$ cat /home/egreshko/.local/share/applications/mimeapps.list[Added Associations]
text/html=google-chrome.desktop
x-scheme-handler/mailto=mozilla-thunderbird.desktop

[Default Applications]
text/html=google-chrome.desktop
x-scheme-handler/mailto=mozilla-thunderbird.desktop

[egreshko@f21 ~]$ xdg-mime query default 'x-scheme-handler/mailto'
mozilla-thunderbird.desktop


Additional info:
Comment 1 Ed Greshko 2016-02-17 00:32:18 EST
I believe this is the same issue reported upstream in https://bugs.kde.org/show_bug.cgi?id=358159
Comment 2 Rex Dieter 2016-03-07 08:48:56 EST
Pulling in upstream fix
Comment 3 Fedora Update System 2016-03-07 09:06:02 EST
kf5-kservice-5.19.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-64ae8a0177
Comment 4 Fedora Update System 2016-03-07 09:06:44 EST
kf5-kservice-5.19.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d11a95a3f
Comment 5 Ed Greshko 2016-03-07 18:22:01 EST
Verified fix and gave karma
Comment 6 Fedora Update System 2016-03-09 16:24:37 EST
kf5-kservice-5.19.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d11a95a3f
Comment 7 Fedora Update System 2016-03-09 17:57:09 EST
kf5-kservice-5.19.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-64ae8a0177
Comment 8 Fedora Update System 2016-03-11 08:25:53 EST
kf5-kservice-5.19.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-03-23 20:02:07 EDT
kf5-kservice-5.19.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.